#ifndef NESTYPES_H__
#define NESTYPES_H__

#if defined(_MSC_VER)
#elif defined(__BORLANDC__)
#define __fastcall
#elif defined(__GNUC__)
#define __inline		__inline__
#define __fastcall
#else
#define __inline
#define __fastcall
#endif

typedef int				Int;
typedef unsigned int	Uint;
typedef signed int		Int32;
typedef unsigned int	Uint32;
typedef signed short	Int16;
typedef unsigned short	Uint16;
typedef signed char		Int8;
typedef unsigned char	Uint8;
typedef char			Char;

#include <malloc.h>
#include <memory.h>

#define XMALLOC(s)		malloc(s)
#define XFREE(s)		free(s)
#define XMEMCPY(d,s,n)	memcpy(d,s,n)
#define XMEMSET(d,c,n)	memset(d,c,n)

#endif /* NESTYPES_H__ */
